Secrets of Toanium - Bug #122

Alternate Deck Cards Not Available
06/24/2021 02:49 AM - Joanna Winter

Status: Closed Start date: 06/23/2021
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

After choosing alternate deck (i.e. Not the only one that has been used up until now), cards that only appear in the alternate deck do
not appear as options. Cards that appear in the previous deck but are NOT meant to appear in the alternate deck do appear, but
without the card background.

Alternate Deck - Cryptophon
Previous Deck - Fun And Games

History

#1 - 07/15/2021 10:37 PM - Jay Gischer

- Status changed from New to Resolved

| figured this out and fixed it today. It turns out that when a character is first selected in the Ready Room, the default deck is assigned to them, which
is fine, this is changed later in deck selection. However, it was also setting up the draw deck on this first selection, and then, when it is checked later,
the software sees that it already has a draw deck (even though it's the wrong one now) and doesn't change it.

The solution was to just not set the draw deck right away and everything sorts itself out.

#2 - 07/16/2021 07:11 PM - Jay Gischer

- Status changed from Resolved to Closed

Fix pushed in 0.15.0
